Skip to content

/api/v1/facilities/{facilityId}/inventory/cycle-counts (POST)

POST
/api/v1/facilities/{facilityId}/inventory/cycle-counts
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inventory/cycle-counts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "locationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "locationCode": "example", "note": "example" }'
facilityId
required
string format: uuid
object
locationId
string format: uuid
nullable
locationCode
string
nullable
note
string
nullable

Example generated

{
"locationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"locationCode": "example",
"note": "example"
}

OK

object
count
required
object
id
required
string format: uuid
facilityId
required
string format: uuid
number
required
string
locationId
required
string format: uuid
locationCode
required
string
origin
required
string
Allowed values: Planned Anomaly Manual
status
required
string
Allowed values: Open PendingReview Closed Cancelled
outcome
required
string
nullable
Allowed values: Matched Adjusted Recounted Cancelled
planId
required
string format: uuid
nullable
triggerTransactionId
required
string format: uuid
nullable
triggerNote
required
string
nullable
note
required
string
nullable
recountOfId
required
string format: uuid
nullable
countedBy
required
string
nullable
countedAt
required
string format: date-time
nullable
reviewedBy
required
string
nullable
reviewedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
lines
required
Array<object>
object
lineNumber
required
integer format: int32
productId
required
string format: uuid
sku
required
string
lpnId
required
string format: uuid
nullable
lpnCode
required
string
nullable
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
countedQuantity
required
integer format: int32

Created

object
count
required
object
id
required
string format: uuid
facilityId
required
string format: uuid
number
required
string
locationId
required
string format: uuid
locationCode
required
string
origin
required
string
Allowed values: Planned Anomaly Manual
status
required
string
Allowed values: Open PendingReview Closed Cancelled
outcome
required
string
nullable
Allowed values: Matched Adjusted Recounted Cancelled
planId
required
string format: uuid
nullable
triggerTransactionId
required
string format: uuid
nullable
triggerNote
required
string
nullable
note
required
string
nullable
recountOfId
required
string format: uuid
nullable
countedBy
required
string
nullable
countedAt
required
string format: date-time
nullable
reviewedBy
required
string
nullable
reviewedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
lines
required
Array<object>
object
lineNumber
required
integer format: int32
productId
required
string format: uuid
sku
required
string
lpnId
required
string format: uuid
nullable
lpnCode
required
string
nullable
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
countedQuantity
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable